Bug Hunting Session
Bug 87390 - Additional master slides in a 16:9 document use the default 4:3 styles
Summary: Additional master slides in a 16:9 document use the default 4:3 styles
Status: NEW
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Impress (show other bugs)
Version:
(earliest affected)
Inherited From OOo
Hardware: Other All
: medium minor
Assignee: Not Assigned
URL:
Whiteboard:
Keywords:
Depends on:
Blocks: Master-Slide
  Show dependency treegraph
 
Reported: 2014-12-17 03:17 UTC by nodatalog
Modified: 2018-09-21 20:05 UTC (History)
3 users (show)

See Also:
Crash report or crash signature:


Attachments
Document with an additonal Master slide (15.73 KB, application/vnd.oasis.opendocument.presentation)
2014-12-17 03:17 UTC, nodatalog
Details
template 16:9 used to create the document already attached. (14.98 KB, application/vnd.oasis.opendocument.presentation-template)
2014-12-17 04:47 UTC, nodatalog
Details

Note You need to log in before you can comment on or make changes to this bug.
Description nodatalog 2014-12-17 03:17:46 UTC
Created attachment 110931 [details]
Document with an additonal Master slide

Description
-----------

1. I created a template "impress-196.otp" with page setting to "Screen 16:9" and default styles.
2. I created a new document from this template (see: attachment).
A. The Master slide styles are the default style for this given page setup 16:9, i.e.: Title 32 pt, Outline 24 pt, etc.
B. The status bar displays the name of the template (i.e. impress-169)

Problem
-------
Additional Master slides (Slide Master > Add Master) are not duplicate of this document's Master slide (based on "impress-169.otp"). They are duplicate of the default template (the hard coded 4:3 template). As a result:

1. Additional Master slides have the styles properties (font-size) of the hard coded 4:3 template, i.e. Title 44 pt, Outline 32 pt, etc.
2. The status bar of the additional Master slides does not display the name of the original template.

Expected behavior
-----------------

I do not know the internal of Impress, but the relation between the default master slides and the additional master slides is not very clear. I would expect a presentation document (always made of several Master slides) based on a given template to use the style of this template.
Comment 1 nodatalog 2014-12-17 04:47:35 UTC
Created attachment 110932 [details]
template 16:9 used to create the document already attached.

Custom template "impress-169.otp": Default Impress styles and paper format "Screen 16:9".
Comment 2 A (Andy) 2015-12-27 08:33:28 UTC
I have tested it with LO 5.1.0.1, Win 8.1.

I can confirm the changed font style (font size 44 instead of 33) in the new added master slide and I would probably also suppose this new added master slide to be based on the changed master style.
But the new master slide seems for me to be also in 16:9 style and not 4:3.  
What do you have in the slide properties of the new added master slide (go to SLIDE -> PAGE/SLIDE PROPERTIES... -> tab PAGE -> field Paper Format)?
Comment 3 nodatalog 2015-12-29 14:47:37 UTC
No change on 5.0.3.2

There are no page styles in Impress as in Writer.

The hard coded template is 4:3 with defined default paragraph styles.

Anytime you create a new master, the paragraph styles are only and always inherited from 4:3 hardcoded template.

What's odd is that there is a new 16:9 LO impress template available. It has custom paragraph styles (the font size has been reduced to accommodate the new page size) nevertheless, when a user add a new master, it will retain the page size of the 16:9 template (or any page size defined in the template), but the paragraph styles will be those of the 4:3 default template.

This is not a bug, I think that it has to do with the Slide Design concept in Impress that's a bit outdated and odd in my opinion.
Comment 4 tommy27 2017-04-30 07:38:32 UTC
is this still present in LibO 5.3.2.2?
Comment 5 Buovjaga 2017-04-30 11:14:28 UTC
(In reply to nodatalog from comment #0)
> 1. Additional Master slides have the styles properties (font-size) of the
> hard coded 4:3 template, i.e. Title 44 pt, Outline 32 pt, etc.
> 2. The status bar of the additional Master slides does not display the name
> of the original template.

I reproduce this with the template. Already with 3.3

Arch Linux 64-bit
Version: 5.4.0.0.alpha1+
Build ID: aca48f46895811009ec90665d816ef835f0694be
CPU threads: 8; OS: Linux 4.10; UI render: default; VCL: kde4; 
Locale: fi-FI (fi_FI.UTF-8); Calc: group
Built on 30th April 2017
Comment 6 QA Administrators 2018-05-01 02:31:58 UTC
** Please read this message in its entirety before responding **

To make sure we're focusing on the bugs that affect our users today, LibreOffice QA is asking bug reporters and confirmers to retest open, confirmed bugs which have not been touched for over a year.

There have been thousands of bug fixes and commits since anyone checked on this bug report. During that time, it's possible that the bug has been fixed, or the details of the problem have changed. We'd really appreciate your help in getting confirmation that the bug is still present.

If you have time, please do the following:

Test to see if the bug is still present with the latest version of LibreOffice from https://www.libreoffice.org/download/

If the bug is present, please leave a comment that includes the information from Help - About LibreOffice.
 
If the bug is NOT present, please set the bug's Status field to RESOLVED-WORKSFORME and leave a comment that includes the information from Help - About LibreOffice.

Please DO NOT

Update the version field
Reply via email (please reply directly on the bug tracker)
Set the bug's Status field to RESOLVED - FIXED (this status has a particular meaning that is not 
appropriate in this case)


If you want to do more to help you can test to see if your issue is a REGRESSION. To do so:
1. Download and install oldest version of LibreOffice (usually 3.3 unless your bug pertains to a feature added after 3.3) from http://downloadarchive.documentfoundation.org/libreoffice/old/

2. Test your bug
3. Leave a comment with your results.
4a. If the bug was present with 3.3 - set version to 'inherited from OOo';
4b. If the bug was not present in 3.3 - add 'regression' to keyword


Feel free to come ask questions or to say hello in our QA chat: https://kiwiirc.com/nextclient/irc.freenode.net/#libreoffice-qa

Thank you for helping us make LibreOffice even better for everyone!

Warm Regards,
QA Team

MassPing-UntouchedBug